Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Reinterpret Struct Reference

Reinterpret value as another type, without affecting any of the bits (on little-endian systems). More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Reinterpret:

## Static Public Member Functions
static Expr | make (Type t, Expr v)

## Public Attributes
Expr | value
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Reinterpret

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< Reinterpret >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
virtual Expr | mutate_expr (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Reinterpret value as another type, without affecting any of the bits (on little-endian systems).

Definition at line 57 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::Reinterpret::make | ( | Type | t,
|  | Expr | v
| ) |  |
| static

## Member Data Documentation

## ◆ value

Expr Halide::Internal::Reinterpret::value

Definition at line 58 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::Reinterpret::_node_type = IRNodeType::Reinterpret
| static

Definition at line 62 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h